com.sun.jna.platform.win32

## Class WinDef.HRSRC

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.WinNT.HANDLE
    - - com.sun.jna.platform.win32.WinDef.HRSRC

All Implemented Interfaces:
  NativeMapped

Enclosing interface:
  WinDef

    public static class WinDef.HRSRC
    extends WinNT.HANDLE

Handle to a resource.

### Constructor Summary

Constructors
Constructor and Description
`HRSRC()` Instantiates a new hrsrc.
`HRSRC(Pointer p)` Instantiates a new hrsrc.

### Method Summary

### Methods inherited from class com.sun.jna.platform.win32.WinNT.HANDLE

`fromNative, setPointer, toString`

### Methods inherited from class com.sun.jna.PointerType

`equals, getPointer, hashCode, nativeType, toNative`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HRSRC

    public HRSRC()

Instantiates a new hrsrc.

#### HRSRC

    public HRSRC(Pointer p)

Instantiates a new hrsrc.

Parameters:
  `p` - the p

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.